petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSMonitorSPEigCtxCreate

Creates a context for use with TS to monitor the eigenvalues of the linearized operator

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorSPEigCtxCreate(MPI_Comm comm,const char host[],const char label[],int x,int y,int m,int n,PetscInt howoften,TSMonitorSPEigCtx *ctx)

Collective on TS Many br

### Input Parameters

| host | - the X display to open, or null for the local machine Many br
| label | - the title to put in the title bar Many br
| x, y | - the screen coordinates of the upper left coordinate of the window Many br
| m, n | - the screen width and height in pixels Many br
| howoften | - if positive then determines the frequency of the plotting, if -1 then only at the final time Many br

### Output Parameter

ctx -the context Many br

### Options Database Key

-ts_monitor_sp_eig -plot egienvalues of linearized right hand side Many br

### Notes

Use TSMonitorSPEigCtxDestroy() to destroy. Many br

Currently only works if the Jacobian is provided explicitly. Many br

Currently only works for ODEs u_t - F(t,u) = 0; that is with no mass matrix. Many br

Many br

### Keywords

TS, monitor, line graph, residual, seealso

### See Also

TSMonitorSPEigTimeStep(), TSMonitorSet(), TSMonitorLGSolution(), TSMonitorLGError()

Level:intermediate
Location:src/ts/interface/tseig.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages